SIElementFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.navigation
Class SIElementFilter

    java.lang.Object
      javax.tv.service.navigation.ServiceFilter
          javax.tv.service.navigation.SIElementFilter

    public final class SIElementFilter

extends ServiceFilter

`SIElementFilter` represents a `ServiceFilter` based on a particular `SIElement` (such as a `TransportStream` or `ProgramEvent`). A `ServiceList` resulting from this filter will include only `Service` objects with one or more corresponding `ServiceDetails`, `sd`, such that:

- `sd` is contained by the specified `SIElement`, or
- `sd` contains the specified `SIElement`

-- according to the type of `SIElement` provided. Note that no guarantee is made that every `SIElement` type is supported for filtering.

See Also:
  `SIElement`, `ServiceList`

Constructor Summary
`SIElementFilter(SIElement element)` Constructs the filter based on a particular `SIElement`.

Method Summary
`boolean` | `accept(Service service)` Tests if the given service passes the filter.
`SIElement` | `getFilterValue()` Reports the `SIElement` used to create this filter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SIElementFilter

    public SIElementFilter(SIElement element)
                    throws FilterNotSupportedException

  Constructs the filter based on a particular `SIElement`.

  Parameters:
    `element` - An `SIElement` indicating the services to be included in a resulting service list.
  Throws:
    `FilterNotSupportedException` - If `element` is not supported for filtering.

Method Detail

### getFilterValue

    public SIElement getFilterValue()

  Reports the `SIElement` used to create this filter.

  Returns:
    The `SIElement` used to create this filter.

### accept

    public boolean accept(Service service)

  Tests if the given service passes the filter.

  Specified by:
    `accept` in class `ServiceFilter`
  Parameters:
    `service` - An individual `Service` to be evaluated against the filtering algorithm.
  Returns:
    `true` if `service` has a corresponding `ServiceDetails` which contains or is contained by the `SIElement` indicated by the filter value; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD